<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for JP_FinalCustomerAddressStaticData StructType
 * @subpackage Structs
 */
class JP_FinalCustomerAddressStaticData extends AbstractStructBase
{
    /**
     * The City
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $City;
    /**
     * Constructor method for JP_FinalCustomerAddressStaticData
     * @uses JP_FinalCustomerAddressStaticData::setCity()
     * @param string $city
     */
    public function __construct($city = null)
    {
        $this
            ->setCity($city);
    }
    /**
     * Get City value
     * @return string|null
     */
    public function getCity()
    {
        return $this->City;
    }
    /**
     * Set City value
     * @param string $city
     * @return \StructType\JP_FinalCustomerAddressStaticData
     */
    public function setCity($city = null)
    {
        // validation for constraint: string
        if (!is_null($city) && !is_string($city)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($city, true), gettype($city)), __LINE__);
        }
        $this->City = $city;
        return $this;
    }
}
